phpMyAdmin по-русски
   О проекте  |  Скачать  |  Документация  |  Форум
  
Главная страница / Новости / phpMyAdmin /

Аннотация к phpMyAdmin 2.9.1.1

phpMyAdmin 2.9.1.1
В новой версии phpMyAdmin устранены три потенциальные уязвимости. XSS уязвимость, некорректная проверка разрешения/запрета IP, Path disclosure (раскрытие местонахождения файла).

Исправления в phpMyAdmin версии 2.9.1.1
- Устранена XSS уязвимость
- Некорректный импорт в случае использования ;; в качестве раграничителя (bug #1584836)
- Дублирование id для для чекбоксов в таблице на странице "Operations" (bug #1584770)
- Более эффективная работа при добавлении новых полей: форма проверяется только при сохранении изменений в полях таблицы (bug #1566222)
- Экспорт: опечатка csv/cvs (bug #1583509)
- Переименование базы данных, содержащей представление: при переименовании базы данных phpMyAdmin пытался удалить представление с помощью sql-запроса DROP TABLE (bug #1567316)
- Невозможность автоматического проставления значений timestamp (bug #1566219)
- Импорт: php-уведомление при импорте пустого файла (bug #1574340)
- Тип шрифта по умолчанию в оригинальной теме (bug #1564409)
- 2.9.1.1: исправлены три потенциальные уязвимости
Опубликовано: 2006-11-20